=== modified file 'tests/Makefile.am'
--- tests/Makefile.am	2009-05-19 21:04:40 +0000
+++ tests/Makefile.am	2009-05-19 22:04:58 +0000
@@ -21,7 +21,7 @@
 EXTRA_SCRIPTS = 	valgrind.supp $(PRESCRIPTS)
 GENSCRIPTS =		install_test_db dtr test-run
 PRESCRIPTS =		test-run.pl stress-test.pl
-PLUGIN_TESTS =		crc32 csv hello_world md5
+PLUGIN_TESTS =		crc32,csv,hello_world,md5
 noinst_SCRIPTS =	$(GENSCRIPTS) $(PRESCRIPTS)
 CLEANFILES = 		$(GENSCRIPTS) mtr
 noinst_PROGRAMS = 	resolve_stack_dump
@@ -99,12 +99,10 @@
 	$(TEST_RUN) --fast --force --suite=main
 
 test-big:
-	$(TEST_RUN) --fast --force --big-test --suite=big
+	$(TEST_RUN) --fast --force --suite=big
 
 test-plugins:
-	@for suite in $(PLUGIN_TESTS); do \
-		$(TEST_RUN) --fast --force --suite=$$suite; \
-	done
+	$(TEST_RUN) --fast --force --suite=$(PLUGIN_TESTS)
 
 distclean-local:
 	rm -rf var

=== removed file 'tests/include/big_test.inc'
--- tests/include/big_test.inc	2008-06-25 05:29:13 +0000
+++ tests/include/big_test.inc	1970-01-01 00:00:00 +0000
@@ -1,4 +0,0 @@
---require r/big_test.require
-disable_query_log;
-eval select $BIG_TEST as using_big_test;
-enable_query_log;

=== modified file 'tests/lib/mtr_cases.pl'
--- tests/lib/mtr_cases.pl	2009-01-22 01:54:01 +0000
+++ tests/lib/mtr_cases.pl	2009-05-19 22:04:58 +0000
@@ -787,13 +787,6 @@
 	if ( $::used_default_engine =~ /^innodb/i );
     }
 
-    if ( $tinfo->{'big_test'} and ! $::opt_big_test )
-    {
-      $tinfo->{'skip'}= 1;
-      $tinfo->{'comment'}= "Test need 'big-test' option";
-      return;
-    }
-
     if ( $tinfo->{'ndb_extra'} and ! $::opt_ndb_extra_test )
     {
       $tinfo->{'skip'}= 1;
@@ -834,7 +827,6 @@
   "sup_binlog_formats", ["mixed","statement"]],
  ["include/have_binlog_format_row_or_statement.inc",
   "sup_binlog_formats", ["row","statement"]],
- ["include/big_test.inc", "big_test", 1],
  ["include/have_debug.inc", "need_debug", 1],
  ["require_manager", "require_manager", 1],
 );

=== removed file 'tests/r/big_test.require'
--- tests/r/big_test.require	2008-12-16 22:22:43 +0000
+++ tests/r/big_test.require	1970-01-01 00:00:00 +0000
@@ -1,2 +0,0 @@
-using_big_test
-1

=== modified file 'tests/suite/big/t/archive-big.test'
--- tests/suite/big/t/archive-big.test	2009-03-18 18:45:23 +0000
+++ tests/suite/big/t/archive-big.test	2009-05-19 22:04:58 +0000
@@ -1,4 +1,3 @@
---source include/big_test.inc
 -- source include/have_archive.inc
 
 CREATE TABLE t1(a BLOB) ENGINE=ARCHIVE;

=== modified file 'tests/suite/big/t/concurrent_innodb.test'
--- tests/suite/big/t/concurrent_innodb.test	2009-03-18 18:45:23 +0000
+++ tests/suite/big/t/concurrent_innodb.test	2009-05-19 22:04:58 +0000
@@ -12,7 +12,6 @@
 #               new wrapper t/concurrent_innodb.test
 
 # test takes circa 5 minutes to run, so it's big
---source include/big_test.inc
 
 --source include/have_innodb.inc
 let $engine_type= InnoDB;

=== modified file 'tests/suite/big/t/read_many_rows_innodb.test'
--- tests/suite/big/t/read_many_rows_innodb.test	2009-03-18 18:45:23 +0000
+++ tests/suite/big/t/read_many_rows_innodb.test	2009-05-19 22:04:58 +0000
@@ -8,8 +8,6 @@
 #               main code --> include/read_many_rows_innodb.inc
 #
 
---source include/big_test.inc
-
 --source include/have_innodb.inc
 let $engine_type= InnoDB;
 let $other_engine_type= MyISAM;

=== modified file 'tests/suite/big/t/sum_distinct-big.test'
--- tests/suite/big/t/sum_distinct-big.test	2009-03-18 18:45:23 +0000
+++ tests/suite/big/t/sum_distinct-big.test	2009-05-19 22:04:58 +0000
@@ -2,7 +2,6 @@
 # Various tests for SUM(DISTINCT ...)
 #
 
---source include/big_test.inc
 --disable_warnings
 DROP TABLE IF EXISTS t1, t2;
 --enable_warnings

=== modified file 'tests/suite/big/t/variables-big.test'
--- tests/suite/big/t/variables-big.test	2009-03-18 18:45:23 +0000
+++ tests/suite/big/t/variables-big.test	2009-05-19 22:04:58 +0000
@@ -2,8 +2,6 @@
 # test variables big
 #
 
---source include/big_test.inc
-
 #
 # Bug #27322  	failure to allocate transaction_prealloc_size causes crash
 #

=== modified file 'tests/test-run.pl'
--- tests/test-run.pl	2009-04-14 18:46:33 +0000
+++ tests/test-run.pl	2009-05-19 22:04:58 +0000
@@ -152,7 +152,6 @@
 
 our $opt_bench= 0;
 our $opt_small_bench= 0;
-our $opt_big_test= 0;
 
 our @opt_combinations;
 our $opt_skip_combination;
@@ -470,7 +469,6 @@
              'suite|suites=s'           => \$opt_suites,
              'skip-rpl'                 => \$opt_skip_rpl,
              'skip-test=s'              => \$opt_skip_test,
-             'big-test'                 => \$opt_big_test,
              'combination=s'            => \@opt_combinations,
              'skip-combination'         => \$opt_skip_combination,
 
@@ -781,14 +779,6 @@
   }
 
   # --------------------------------------------------------------------------
-  # Big test flags
-  # --------------------------------------------------------------------------
-   if ( $opt_big_test )
-   {
-     $ENV{'BIG_TEST'}= 1;
-   }
-
-  # --------------------------------------------------------------------------
   # Gcov flag
   # --------------------------------------------------------------------------
   if ( $opt_gcov and ! $source_dist )
@@ -3489,8 +3479,6 @@
                         list of suite names.
                         The default is: "$opt_suites_default"
   skip-rpl              Skip the replication test cases.
-  big-test              Set the environment variable BIG_TEST, which can be
-                        checked from test cases.
   combination="ARG1 .. ARG2" Specify a set of "mysqld" arguments for one
                         combination.
   skip-combination      Skip any combination options and combinations files

